local AshranBuddy = _G.AshranBuddy
if (not AshranBuddy) then
	DEFAULT_CHAT_FRAME:AddMessage(format("Module '%s' requires AshranBuddy", "Configuration"))
end

AshranBuddy.defaults = {
	profile = {
		firstRun = true,
		locked = false,
		showTimer = true,
		point = "CENTER",
		relativeTo = "UIParent",
		relativePoint = "CENTER",
		x = 0,
		y = 0
	},
}

local function GetOption(info)
	return info.arg and AshranBuddy.db.profile[info.arg] or AshranBuddy.db.profile[info[#info]]
end

local function SetOption(info, value)
	local key = info[#info]
	AshranBuddy.db.profile[key] = value
	info = info.arg and info.arg or info[1]
end

function AshranBuddy:CreateOptions()
	self.options = {
		name = "AshranBuddy",
		type = "group",
		args = { }
	}

	-- Pass option creation to active modules
	for key, module in pairs(self.modules) do
		if (module.enabled and type(module.OnCreateOptions) == "function") then
			module:OnCreateOptions()
		end
	end

	LibStub("AceConfig-3.0"):RegisterOptionsTable("AshranBuddy", self.options)
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("AshranBuddy", "AshranBuddy")
end